package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 溯源码扫码记录对象 TssScanrcd
 * 
 * @author 杨晓辉
 * @date 2023-07-04
 */
public class TssScanrcd extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 溯源码扫码标识 */
    private String scanrcdId;

    /** 出库登记单订单标识 */
    @Excel(name = "出库登记单订单标识")
    private String orderId;

    /** 溯源码生成标识 */
    @Excel(name = "溯源码生成标识")
    private String tarcecodeapplyId;

    /** 库存标识 */
    @Excel(name = "库存标识")
    private String stockId;

    /** 溯源码扫码地点 */
    @Excel(name = "溯源码扫码地点")
    private String scanrcdAddress;

    /** 溯源码扫码省份 */
    @Excel(name = "溯源码扫码省份")
    private String scanrcdProvince;

    /** 溯源码扫码市区 */
    @Excel(name = "溯源码扫码市区")
    private String scanrcdCity;

    /** 溯源码扫码时间 */
    @Excel(name = "溯源码扫码时间")
    private String scanrcdCreateddate;

    public String getScanrcdProvince() {
        return scanrcdProvince;
    }

    public void setScanrcdProvince(String scanrcdProvince) {
        this.scanrcdProvince = scanrcdProvince;
    }

    public String getScanrcdCity() {
        return scanrcdCity;
    }

    public void setScanrcdCity(String scanrcdCity) {
        this.scanrcdCity = scanrcdCity;
    }

    public void setScanrcdId(String scanrcdId)
    {
        this.scanrcdId = scanrcdId;
    }

    public String getScanrcdId()
    {
        return scanrcdId;
    }
    public void setOrderId(String orderId)
    {
        this.orderId = orderId;
    }

    public String getOrderId()
    {
        return orderId;
    }
    public void setTarcecodeapplyId(String tarcecodeapplyId)
    {
        this.tarcecodeapplyId = tarcecodeapplyId;
    }

    public String getTarcecodeapplyId()
    {
        return tarcecodeapplyId;
    }
    public void setStockId(String stockId)
    {
        this.stockId = stockId;
    }

    public String getStockId()
    {
        return stockId;
    }
    public void setScanrcdAddress(String scanrcdAddress)
    {
        this.scanrcdAddress = scanrcdAddress;
    }

    public String getScanrcdAddress()
    {
        return scanrcdAddress;
    }
    public void setScanrcdCreateddate(String scanrcdCreateddate)
    {
        this.scanrcdCreateddate = scanrcdCreateddate;
    }

    public String getScanrcdCreateddate()
    {
        return scanrcdCreateddate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("scanrcdId", getScanrcdId())
            .append("orderId", getOrderId())
            .append("tarcecodeapplyId", getTarcecodeapplyId())
            .append("stockId", getStockId())
            .append("scanrcdAddress", getScanrcdAddress())
            .append("scanrcdCreateddate", getScanrcdCreateddate())
            .toString();
    }
}
